Index: CKEditor/trunk/_source/lang/_translationstatus.txt
===================================================================
--- CKEditor/trunk/_source/lang/_translationstatus.txt	(revision 7329)
+++ CKEditor/trunk/_source/lang/_translationstatus.txt	(revision 7330)
@@ -26,5 +26,5 @@
 fr.js      Found: 576 Missing: 0
 gl.js      Found: 292 Missing: 284
-gu.js      Found: 416 Missing: 160
+gu.js      Found: 576 Missing: 0
 he.js      Found: 576 Missing: 0
 hi.js      Found: 322 Missing: 254
Index: CKEditor/trunk/_source/lang/gu.js
===================================================================
--- CKEditor/trunk/_source/lang/gu.js	(revision 7329)
+++ CKEditor/trunk/_source/lang/gu.js	(revision 7330)
@@ -32,5 +32,5 @@
 	 * of reading non-English words. So be careful while translating it.
 	 */
-	editorTitle : 'Rich text editor, %1, press ALT 0 for help.', // MISSING
+	editorTitle : 'રીચ ટેક્ષ્ત્ એડિટર, %1, પ્રેસ ALT 0 મદદ માટે.',
 
 	// ARIA descriptions.
@@ -122,8 +122,8 @@
 		invalidHeight	: 'ઉંચાઈ એક આંકડો હોવો જોઈએ.',
 		invalidWidth	: 'પોહળ ઈ એક આંકડો હોવો જોઈએ.',
-		invalidCssLength	: 'Value specified for the "%1" field must be a positive number with or without a valid CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
-		invalidHtmlLength	: 'Value specified for the "%1" field must be a positive number with or without a valid HTML measurement unit (px or %).', // MISSING
-		invalidInlineStyle	: 'Value specified for the inline style must consist of one or more tuples with the format of "name : value", separated by semi-colons.', // MISSING
-		cssLengthTooltip	: 'Enter a number for a value in pixels or a number with a valid CSS unit (px, %, in, cm, mm, em, ex, pt, or pc).', // MISSING
+		invalidCssLength	: '"%1" ની વેલ્યુ એક પોસીટીવ આંકડો હોવો જોઈએ અથવા CSS measurement unit (px, %, in, cm, mm, em, ex, pt, or pc) વગર.',
+		invalidHtmlLength	: '"%1" ની વેલ્યુ એક પોસીટીવ આંકડો હોવો જોઈએ અથવા HTML measurement unit (px or %) વગર.',
+		invalidInlineStyle	: 'ઈનલાઈન  સ્ટાઈલ ની વેલ્યુ  "name : value" ના ફોર્મેટ માં હોવી જોઈએ, વચ્ચે સેમી-કોલોન જોઈએ.',
+		cssLengthTooltip	: 'પિક્ષ્લ્ નો આંકડો CSS unit (px, %, in, cm, mm, em, ex, pt, or pc) માં નાખો.',
 
 		// Put the voice-only part of the label in the span.
@@ -243,5 +243,5 @@
 		replaceWith			: 'આનાથી બદલો',
 		notFoundMsg			: 'તમે શોધેલી ટેક્સ્ટ નથી મળી',
-		findOptions			: 'Find Options', // MISSING
+		findOptions			: 'વીકલ્પ શોધો',
 		matchCase			: 'કેસ સરખા રાખો',
 		matchWord			: 'બઘા શબ્દ સરખા રાખો',
@@ -305,10 +305,10 @@
 			header			: 'મથાળું',
 			yes				: 'હા',
-			no				: 'No', // MISSING
+			no				: 'ના',
 			invalidWidth	: 'સેલની પોહલાઈ આંકડો હોવો જોઈએ.',
 			invalidHeight	: 'સેલની ઊંચાઈ આંકડો હોવો જોઈએ.',
 			invalidRowSpan	: 'રો સ્પાન આંકડો હોવો જોઈએ.',
 			invalidColSpan	: 'કોલમ સ્પાન આંકડો હોવો જોઈએ.',
-			chooseColor		: 'Choose' // MISSING
+			chooseColor		: 'પસંદ કરવું'
 		},
 
@@ -443,35 +443,35 @@
 		chkLoop			: 'લૂપ',
 		chkMenu			: 'ફ્લૅશ મેન્યૂ નો પ્રયોગ કરો',
-		chkFull			: 'Allow Fullscreen', // MISSING
+		chkFull			: 'ફૂલ સ્ક્રીન કરવું',
  		scale			: 'સ્કેલ',
 		scaleAll		: 'સ્કેલ ઓલ/બધુ બતાવો',
 		scaleNoBorder	: 'સ્કેલ બોર્ડર વગર',
 		scaleFit		: 'સ્કેલ એકદમ ફીટ',
-		access			: 'Script Access', // MISSING
-		accessAlways	: 'Always', // MISSING
-		accessSameDomain: 'Same domain', // MISSING
-		accessNever		: 'Never', // MISSING
+		access			: 'સ્ક્રીપ્ટ એક્સેસ',
+		accessAlways	: 'હમેશાં',
+		accessSameDomain: 'એજ ડોમેન',
+		accessNever		: 'નહી',
 		alignAbsBottom	: 'Abs નીચે',
 		alignAbsMiddle	: 'Abs ઉપર',
 		alignBaseline	: 'આધાર લીટી',
 		alignTextTop	: 'ટેક્સ્ટ ઉપર',
-		quality			: 'Quality', // MISSING
+		quality			: 'ગુણધર્મ',
 		qualityBest		: 'શ્રેષ્ઠ',
 		qualityHigh		: 'ઊંચું',
-		qualityAutoHigh	: 'Auto High', // MISSING
-		qualityMedium	: 'Medium', // MISSING
-		qualityAutoLow	: 'Auto Low', // MISSING
-		qualityLow		: 'Low', // MISSING
-		windowModeWindow: 'Window', // MISSING
-		windowModeOpaque: 'Opaque', // MISSING
-		windowModeTransparent : 'Transparent', // MISSING
-		windowMode		: 'Window mode', // MISSING
-		flashvars		: 'Variables for Flash', // MISSING
+		qualityAutoHigh	: 'ઓટો ઊંચું',
+		qualityMedium	: 'મધ્યમ',
+		qualityAutoLow	: 'ઓટો નીચું',
+		qualityLow		: 'નીચું',
+		windowModeWindow: 'વિન્ડો',
+		windowModeOpaque: 'અપારદર્શક',
+		windowModeTransparent : 'પારદર્શક',
+		windowMode		: 'વિન્ડો મોડ',
+		flashvars		: 'ફલેશ ના વિકલ્પો',
 		bgcolor			: 'બૅકગ્રાઉન્ડ રંગ,',
 		hSpace			: 'સમસ્તરીય જગ્યા',
 		vSpace			: 'લંબરૂપ જગ્યા',
 		validateSrc		: 'લિંક  URL ટાઇપ કરો',
-		validateHSpace	: 'HSpace must be a number.', // MISSING
-		validateVSpace	: 'VSpace must be a number.' // MISSING
+		validateHSpace	: 'HSpace આંકડો હોવો જોઈએ.',
+		validateVSpace	: 'VSpace આંકડો હોવો જોઈએ.'
 	},
 
@@ -480,7 +480,7 @@
 	{
 		toolbar			: 'જોડણી (સ્પેલિંગ) તપાસવી',
-		title			: 'Spell Check', // MISSING
-		notAvailable	: 'Sorry, but service is unavailable now.', // MISSING
-		errorLoading	: 'Error loading application service host: %s.', // MISSING
+		title			: 'સ્પેલ ',
+		notAvailable	: 'માફ કરશો, આ સુવિધા ઉપલબ્ધ નથી',
+		errorLoading	: 'સર્વિસ એપ્લીકેશન લોડ નથી થ: %s.',
 		notInDic		: 'શબ્દકોશમાં નથી',
 		changeTo		: 'આનાથી બદલવું',
@@ -503,11 +503,11 @@
 		toolbar	: 'સ્માઇલી',
 		title	: 'સ્માઇલી  પસંદ કરો',
-		options : 'Smiley Options' // MISSING
+		options : 'સમ્ય્લી વિકલ્પો'
 	},
 
 	elementsPath :
 	{
-		eleLabel : 'Elements path', // MISSING
-		eleTitle : '%1 element' // MISSING
+		eleLabel : 'એલીમેન્ટ્સ નો ',
+		eleTitle : 'એલીમેન્ટ %1'
 	},
 
@@ -534,13 +534,13 @@
 		pasteMsg	: 'Ctrl/Cmd+V નો પ્રયોગ કરી પેસ્ટ કરો',
 		securityMsg	: 'તમારા બ્રાઉઝર ની સુરક્ષિત સેટિંગસના કારણે,એડિટર તમારા કિલ્પબોર્ડ ડેટા ને કોપી નથી કરી શકતો. તમારે આ વિન્ડોમાં ફરીથી પેસ્ટ કરવું પડશે.',
-		pasteArea	: 'Paste Area' // MISSING
+		pasteArea	: 'પેસ્ટ કરવાની જગ્યા'
 	},
 
 	pastefromword :
 	{
-		confirmCleanup	: 'The text you want to paste seems to be copied from Word. Do you want to clean it before pasting?', // MISSING
+		confirmCleanup	: 'તમે જે ટેક્ષ્ત્ કોપી કરી રહ્યા છો ટે વર્ડ ની છે. કોપી કરતા પેહલા સાફ કરવી છે?',
 		toolbar			: 'પેસ્ટ (વડૅ ટેક્સ્ટ)',
 		title			: 'પેસ્ટ (વડૅ ટેક્સ્ટ)',
-		error			: 'It was not possible to clean up the pasted data due to an internal error' // MISSING
+		error			: 'પેસ્ટ કરેલો ડેટા ઇન્ટરનલ એરર ના લીથે સાફ કરી શકાયો નથી.'
 	},
 
@@ -555,5 +555,5 @@
 		button			: 'ટેમ્પ્લેટ',
 		title			: 'કન્ટેન્ટ ટેમ્પ્લેટ',
-		options : 'Template Options', // MISSING
+		options : 'ટેમ્પ્લેટના વિકલ્પો',
 		insertOption	: 'મૂળ શબ્દને બદલો',
 		selectPromptMsg	: 'એડિટરમાં ઓપન કરવા ટેમ્પ્લેટ પસંદ કરો (વર્તમાન કન્ટેન્ટ સેવ નહીં થાય):',
@@ -566,8 +566,8 @@
 	{
 		label		: 'શૈલી/રીત',
-		panelTitle	: 'Formatting Styles', // MISSING
-		panelTitle1	: 'Block Styles', // MISSING
-		panelTitle2	: 'Inline Styles', // MISSING
-		panelTitle3	: 'Object Styles' // MISSING
+		panelTitle	: 'ફોર્મેટ ',
+		panelTitle1	: 'બ્લોક ',
+		panelTitle2	: 'ઈનલાઈન ',
+		panelTitle3	: 'ઓબ્જેક્ટ પદ્ધતિ'
 	},
 
@@ -591,26 +591,26 @@
 	div :
 	{
-		title				: 'Create Div Container', // MISSING
-		toolbar				: 'Create Div Container', // MISSING
-		cssClassInputLabel	: 'Stylesheet Classes', // MISSING
-		styleSelectLabel	: 'Style', // MISSING
-		IdInputLabel		: 'Id', // MISSING
-		languageCodeInputLabel	: ' Language Code', // MISSING
-		inlineStyleInputLabel	: 'Inline Style', // MISSING
-		advisoryTitleInputLabel	: 'Advisory Title', // MISSING
-		langDirLabel		: 'Language Direction', // MISSING
-		langDirLTRLabel		: 'Left to Right (LTR)', // MISSING
-		langDirRTLLabel		: 'Right to Left (RTL)', // MISSING
-		edit				: 'Edit Div', // MISSING
-		remove				: 'Remove Div' // MISSING
+		title				: 'Div કન્ટેનર બનાવુંવું',
+		toolbar				: 'Div કન્ટેનર બનાવુંવું',
+		cssClassInputLabel	: 'સ્ટાઈલશીટ કલાસીસ',
+		styleSelectLabel	: 'સ્ટાઈલ',
+		IdInputLabel		: 'Id',
+		languageCodeInputLabel	: 'ભાષાનો કોડ',
+		inlineStyleInputLabel	: 'ઈનલાઈન પદ્ધતિ',
+		advisoryTitleInputLabel	: 'એડવાઈઝર શીર્ષક',
+		langDirLabel		: 'ભાષાની દિશા',
+		langDirLTRLabel		: 'ડાબે થી જમણે (LTR)',
+		langDirRTLLabel		: 'જમણે થી ડાબે (RTL)',
+		edit				: 'ડીવીમાં ફેરફાર કરવો',
+		remove				: 'ડીવી કાઢી કાઢવું'
   	},
 
 	iframe :
 	{
-		title		: 'IFrame Properties', // MISSING
-		toolbar		: 'IFrame', // MISSING
-		noUrl		: 'Please type the iframe URL', // MISSING
-		scrolling	: 'Enable scrollbars', // MISSING
-		border		: 'Show frame border' // MISSING
+		title		: 'IFrame વિકલ્પો',
+		toolbar		: 'IFrame',
+		noUrl		: 'iframe URL ટાઈપ્ કરો',
+		scrolling	: 'સ્ક્રોલબાર ચાલુ કરવા',
+		border		: 'ફ્રેમ બોર્ડેર બતાવવી'
 	},
 
@@ -618,5 +618,5 @@
 	{
 		label		: 'ફૉન્ટ',
-		voiceLabel	: 'Font', // MISSING
+		voiceLabel	: 'ફોન્ટ',
 		panelTitle	: 'ફૉન્ટ'
 	},
@@ -625,5 +625,5 @@
 	{
 		label		: 'ફૉન્ટ સાઇઝ/કદ',
-		voiceLabel	: 'Font Size', // MISSING
+		voiceLabel	: 'ફોન્ટ સાઈઝ',
 		panelTitle	: 'ફૉન્ટ સાઇઝ/કદ'
 	},
@@ -633,5 +633,5 @@
 		textColorTitle	: 'શબ્દનો રંગ',
 		bgColorTitle	: 'બૅકગ્રાઉન્ડ રંગ,',
-		panelTitle		: 'Colors', // MISSING
+		panelTitle		: 'રંગ',
 		auto			: 'સ્વચાલિત',
 		more			: 'ઔર રંગ...'
@@ -640,89 +640,89 @@
 	colors :
 	{
-		'000' : 'Black', // MISSING
-		'800000' : 'Maroon', // MISSING
-		'8B4513' : 'Saddle Brown', // MISSING
-		'2F4F4F' : 'Dark Slate Gray', // MISSING
-		'008080' : 'Teal', // MISSING
-		'000080' : 'Navy', // MISSING
-		'4B0082' : 'Indigo', // MISSING
-		'696969' : 'Dark Gray', // MISSING
-		'B22222' : 'Fire Brick', // MISSING
-		'A52A2A' : 'Brown', // MISSING
-		'DAA520' : 'Golden Rod', // MISSING
-		'006400' : 'Dark Green', // MISSING
-		'40E0D0' : 'Turquoise', // MISSING
-		'0000CD' : 'Medium Blue', // MISSING
-		'800080' : 'Purple', // MISSING
-		'808080' : 'Gray', // MISSING
-		'F00' : 'Red', // MISSING
-		'FF8C00' : 'Dark Orange', // MISSING
-		'FFD700' : 'Gold', // MISSING
-		'008000' : 'Green', // MISSING
-		'0FF' : 'Cyan', // MISSING
-		'00F' : 'Blue', // MISSING
-		'EE82EE' : 'Violet', // MISSING
-		'A9A9A9' : 'Dim Gray', // MISSING
-		'FFA07A' : 'Light Salmon', // MISSING
-		'FFA500' : 'Orange', // MISSING
-		'FFFF00' : 'Yellow', // MISSING
-		'00FF00' : 'Lime', // MISSING
-		'AFEEEE' : 'Pale Turquoise', // MISSING
-		'ADD8E6' : 'Light Blue', // MISSING
-		'DDA0DD' : 'Plum', // MISSING
-		'D3D3D3' : 'Light Grey', // MISSING
-		'FFF0F5' : 'Lavender Blush', // MISSING
-		'FAEBD7' : 'Antique White', // MISSING
-		'FFFFE0' : 'Light Yellow', // MISSING
-		'F0FFF0' : 'Honeydew', // MISSING
-		'F0FFFF' : 'Azure', // MISSING
-		'F0F8FF' : 'Alice Blue', // MISSING
-		'E6E6FA' : 'Lavender', // MISSING
-		'FFF' : 'White' // MISSING
+		'000' : 'કાળો',
+		'800000' : 'મરુન',
+		'8B4513' : 'છીક',
+		'2F4F4F' : 'ડાર્ક સ્લેટ ગ્રે ',
+		'008080' : 'ટીલ',
+		'000080' : 'નેવી',
+		'4B0082' : 'જામલી',
+		'696969' : 'ડાર્ક ગ્રે',
+		'B22222' : 'ઈટ',
+		'A52A2A' : 'બ્રાઉન',
+		'DAA520' : 'ગોલ્ડન રોડ',
+		'006400' : 'ડાર્ક લીલો',
+		'40E0D0' : 'ટ્રકોઈસ',
+		'0000CD' : 'મધ્યમ વાદળી',
+		'800080' : 'પર્પલ',
+		'808080' : 'ગ્રે',
+		'F00' : 'લાલ',
+		'FF8C00' : 'ડાર્ક ઓરંજ',
+		'FFD700' : 'ગોલ્ડ',
+		'008000' : 'ગ્રીન',
+		'0FF' : 'સાયન',
+		'00F' : 'વાદળી',
+		'EE82EE' : 'વાયોલેટ',
+		'A9A9A9' : 'ડીમ ',
+		'FFA07A' : 'લાઈટ સાલમન',
+		'FFA500' : 'ઓરંજ',
+		'FFFF00' : 'પીળો',
+		'00FF00' : 'લાઈમ',
+		'AFEEEE' : 'પેલ કોઈસ',
+		'ADD8E6' : 'લાઈટ બ્લુ',
+		'DDA0DD' : 'પલ્મ',
+		'D3D3D3' : 'લાઈટ ગ્રે',
+		'FFF0F5' : 'લવંડર ',
+		'FAEBD7' : 'એન્ટીક સફેદ',
+		'FFFFE0' : 'લાઈટ પીળો',
+		'F0FFF0' : 'હનીડઉય',
+		'F0FFFF' : 'અઝુરે',
+		'F0F8FF' : 'એલીસ બ્લુ',
+		'E6E6FA' : 'લવંડર',
+		'FFF' : 'સફેદ'
 	},
 
 	scayt :
 	{
-		title			: 'Spell Check As You Type', // MISSING
-		opera_title		: 'Not supported by Opera', // MISSING
-		enable			: 'Enable SCAYT', // MISSING
-		disable			: 'Disable SCAYT', // MISSING
-		about			: 'About SCAYT', // MISSING
-		toggle			: 'Toggle SCAYT', // MISSING
-		options			: 'Options', // MISSING
-		langs			: 'Languages', // MISSING
-		moreSuggestions	: 'More suggestions', // MISSING
-		ignore			: 'Ignore', // MISSING
-		ignoreAll		: 'Ignore All', // MISSING
-		addWord			: 'Add Word', // MISSING
-		emptyDic		: 'Dictionary name should not be empty.', // MISSING
-
-		optionsTab		: 'Options', // MISSING
-		allCaps			: 'Ignore All-Caps Words', // MISSING
-		ignoreDomainNames : 'Ignore Domain Names', // MISSING
-		mixedCase		: 'Ignore Words with Mixed Case', // MISSING
-		mixedWithDigits	: 'Ignore Words with Numbers', // MISSING
-
-		languagesTab	: 'Languages', // MISSING
-
-		dictionariesTab	: 'Dictionaries', // MISSING
-		dic_field_name	: 'Dictionary name', // MISSING
-		dic_create		: 'Create', // MISSING
-		dic_restore		: 'Restore', // MISSING
-		dic_delete		: 'Delete', // MISSING
-		dic_rename		: 'Rename', // MISSING
-		dic_info		: 'Initially the User Dictionary is stored in a Cookie. However, Cookies are limited in size. When the User Dictionary grows to a point where it cannot be stored in a Cookie, then the dictionary may be stored on our server. To store your personal dictionary on our server you should specify a name for your dictionary. If you already have a stored dictionary, please type its name and click the Restore button.', // MISSING
-
-		aboutTab		: 'About' // MISSING
+		title			: 'ટાઈપ કરતા સ્પેલ તપાસો',
+		opera_title		: 'ઓપેરામાં સપોર્ટ નથી',
+		enable			: 'SCAYT એનેબલ કરવું',
+		disable			: 'SCAYT ડિસેબલ કરવું',
+		about			: 'SCAYT વિષે',
+		toggle			: 'SCAYT ટોગલ',
+		options			: 'વિકલ્પો',
+		langs			: 'ભાષાઓ',
+		moreSuggestions	: 'વધારે વિકલ્પો',
+		ignore			: 'ઇગ્નોર',
+		ignoreAll		: 'બધા ઇગ્નોર ',
+		addWord			: 'શબ્દ ઉમેરવો',
+		emptyDic		: 'ડિક્સનરીનું નામ ખાલી ના હોય.',
+
+		optionsTab		: 'વિકલ્પો',
+		allCaps			: 'ઓલ-કેપ્સ વર્ડ છોડી દો.',
+		ignoreDomainNames : 'ડોમેન નામ છોડી દો.',
+		mixedCase		: 'મિક્સ કેસ વર્ડ છોડી દો.',
+		mixedWithDigits	: 'આંકડા વાળા શબ્દ છોડી દો.',
+
+		languagesTab	: 'ભાષા',
+
+		dictionariesTab	: 'શબ્દકોશ',
+		dic_field_name	: 'શબ્દકોશ નામ',
+		dic_create		: 'બનાવવું',
+		dic_restore		: 'પાછું ',
+		dic_delete		: 'કાઢી નાખવું',
+		dic_rename		: 'નવું નામ આપવું',
+		dic_info		: 'પેહલા User Dictionary, Cookie તરીકે સ્ટોર થાય છે. પણ Cookie ની સમતા ઓછી છે. જયારે User Dictionary, Cookie તરીકે સ્ટોર ના કરી શકાય, ત્યારે તે અમારા સર્વર પર સ્ટોર થાય છે. તમારી વ્યતિગત ડીકસ્નરી ને સર્વર પર સ્ટોર કરવા માટે તમારે તેનું નામ આપવું પડશે. જો તમે તમારી ડીકસ્નરી નું નામ આપેલું હોય તો તમે રિસ્ટોર બટન ક્લીક કરી શકો.',
+
+		aboutTab		: 'વિષે'
 	},
 
 	about :
 	{
-		title		: 'About CKEditor', // MISSING
-		dlgTitle	: 'About CKEditor', // MISSING
-		help	: 'Check $1 for help.', // MISSING
-		userGuide : 'CKEditor User\'s Guide', // MISSING
-		moreInfo	: 'For licensing information please visit our web site:', // MISSING
-		copy		: 'Copyright &copy; $1. All rights reserved.' // MISSING
+		title		: 'CKEditor વિષે',
+		dlgTitle	: 'CKEditor વિષે',
+		help	: 'મદદ માટે $1 તપાસો',
+		userGuide : 'CKEditor યુઝર્સ ગાઈડ',
+		moreInfo	: 'લાયસનસની માહિતી માટે અમારી વેબ સાઈટ',
+		copy		: 'કોપીરાઈટ &copy; $1. ઓલ રાઈટ્સ '
 	},
 
@@ -732,9 +732,9 @@
 	fakeobjects :
 	{
-		anchor		: 'Anchor', // MISSING
-		flash		: 'Flash Animation', // MISSING
-		iframe		: 'IFrame', // MISSING
-		hiddenfield	: 'Hidden Field', // MISSING
-		unknown		: 'Unknown Object' // MISSING
+		anchor		: 'અનકર',
+		flash		: 'ફ્લેશ ',
+		iframe		: 'IFrame',
+		hiddenfield	: 'હિડન ',
+		unknown		: 'અનનોન ઓબ્જેક્ટ'
 	},
 
@@ -743,9 +743,9 @@
 	colordialog :
 	{
-		title		: 'Select color', // MISSING
-		options	:	'Color Options', // MISSING
-		highlight	: 'Highlight', // MISSING
-		selected	: 'Selected Color', // MISSING
-		clear		: 'Clear' // MISSING
+		title		: 'રંગ પસંદ કરો',
+		options	:	'રંગના વિકલ્પ',
+		highlight	: 'હાઈઈટ',
+		selected	: 'પસંદ કરેલો રંગ',
+		clear		: 'સાફ કરવું'
 	},
 
@@ -755,21 +755,21 @@
 	toolbarGroups :
 	{
-		document : 'Document', // MISSING
-		clipboard : 'Clipboard/Undo', // MISSING
-		editing : 'Editing', // MISSING
-		forms : 'Forms', // MISSING
-		basicstyles : 'Basic Styles', // MISSING
-		paragraph : 'Paragraph', // MISSING
-		links : 'Links', // MISSING
-		insert : 'Insert', // MISSING
-		styles : 'Styles', // MISSING
-		colors : 'Colors', // MISSING
-		tools : 'Tools' // MISSING
+		document : 'દસ્તાવેજ',
+		clipboard : 'ક્લિપબોર્ડ/અન',
+		editing : 'એડીટ કરવું',
+		forms : 'ફોર્મ',
+		basicstyles : 'બેસિક્ સ્ટાઇલ',
+		paragraph : 'ફકરો',
+		links : 'લીંક',
+		insert : 'ઉમેરવું',
+		styles : 'સ્ટાઇલ',
+		colors : 'રંગ',
+		tools : 'ટૂલ્સ'
 	},
 
 	bidi :
 	{
-		ltr : 'Text direction from left to right', // MISSING
-		rtl : 'Text direction from right to left' // MISSING
+		ltr : 'ટેક્ષ્ત્ ની દિશા ડાબે થી જમણે',
+		rtl : 'ટેક્ષ્ત્ ની દિશા જમણે થી ડાબે'
 	},
 
@@ -778,12 +778,12 @@
 		label : 'ડૉક્યુમન્ટ ગુણ/પ્રૉપર્ટિઝ',
 		title : 'ડૉક્યુમન્ટ ગુણ/પ્રૉપર્ટિઝ',
-		design : 'Design', // MISSING
+		design : 'ડીસા',
 		meta : 'મેટાડૅટા',
-		chooseColor : 'Choose', // MISSING
+		chooseColor : 'વિકલ્પ',
 		other : '<other>',
 		docTitle :	'પેજ મથાળું/ટાઇટલ',
 		charset : 	'કેરેક્ટર સેટ એન્કોડિંગ',
 		charsetOther : 'અન્ય કેરેક્ટર સેટ એન્કોડિંગ',
-		charsetASCII : 'ASCII', // MISSING
+		charsetASCII : 'ASCII',
 		charsetCE : 'મધ્ય યુરોપિઅન (Central European)',
 		charsetCT : 'ચાઇનીઝ (Chinese Traditional Big5)',
@@ -811,5 +811,5 @@
 		metaAuthor : 'લેખક',
 		metaCopyright : 'કૉપિરાઇટ',
-		previewHtml : '<p>This is some <strong>sample text</strong>. You are using <a href="javascript:void(0)">CKEditor</a>.</p>' // MISSING
+		previewHtml : '<p>આ એક <strong>સેમ્પલ ટેક્ષ્ત્</strong> છે. તમે <a href="javascript:void(0)">CKEditor</a> વાપરો છો.</p>'
 	}
 };
Index: CKEditor/trunk/_source/plugins/a11yhelp/lang/_translationstatus.txt
===================================================================
--- CKEditor/trunk/_source/plugins/a11yhelp/lang/_translationstatus.txt	(revision 7329)
+++ CKEditor/trunk/_source/plugins/a11yhelp/lang/_translationstatus.txt	(revision 7330)
@@ -2,10 +2,12 @@
 For licensing, see LICENSE.html or http://ckeditor.com/license
 
+cs.js      Found: 20 Missing: 10
 cy.js      Found: 30 Missing: 0
 de.js      Found: 30 Missing: 0
 eo.js      Found: 30 Missing: 0
-fa.js      Found: 24 Missing: 6
+fa.js      Found: 26 Missing: 4
 fi.js      Found: 25 Missing: 5
 fr.js      Found: 30 Missing: 0
+gu.js      Found: 5 Missing: 25
 he.js      Found: 30 Missing: 0
 it.js      Found: 30 Missing: 0
Index: CKEditor/trunk/_source/plugins/a11yhelp/lang/cs.js
===================================================================
--- CKEditor/trunk/_source/plugins/a11yhelp/lang/cs.js	(revision 7330)
+++ CKEditor/trunk/_source/plugins/a11yhelp/lang/cs.js	(revision 7330)
@@ -0,0 +1,89 @@
+﻿/*
+Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
+
+CKEDITOR.plugins.setLang( 'a11yhelp', 'cs',
+{
+	accessibilityHelp :
+	{
+		title : 'Accessibility Instructions', // MISSING
+		contents : 'Obsah nápovědy. Pro uzavření tohoto dialogu stiskněte klávesu ESC.',
+		legend :
+		[
+			{
+				name : 'Obecné',
+				items :
+						[
+							{
+								name : 'Panel nástrojů editoru',
+								legend:
+									'Press ${toolbarFocus} to navigate to the toolbar. Move to the next and previous toolbar group with TAB and SHIFT-TAB. Move to the next and previous toolbar button with RIGHT ARROW or LEFT ARROW. Press SPACE or ENTER to activate the toolbar button.'  // MISSING
+							},
+
+							{
+								name : 'Dialogové okno editoru',
+								legend :
+									'Inside a dialog, press TAB to navigate to next dialog field, press SHIFT + TAB to move to previous field, press ENTER to submit dialog, press ESC to cancel dialog. For dialogs that have multiple tab pages, press ALT + F10 to navigate to tab-list. Then move to next tab with TAB OR RIGTH ARROW. Move to previous tab with SHIFT + TAB or LEFT ARROW. Press SPACE or ENTER to select the tab page.'  // MISSING
+							},
+
+							{
+								name : 'Editor Context Menu', // MISSING
+								legend :
+									'Press ${contextMenu} or APPLICATION KEY to open context-menu. Then move to next menu option with TAB or DOWN ARROW. Move to previous option with  SHIFT+TAB or UP ARROW. Press SPACE or ENTER to select the menu option. Open sub-menu of current option wtih SPACE or ENTER or RIGHT ARROW. Go back to parent menu item with ESC or LEFT ARROW. Close context menu with ESC.'  // MISSING
+							},
+
+							{
+								name : 'Editor List Box', // MISSING
+								legend :
+									'Inside a list-box, move to next list item with TAB OR DOWN ARROW. Move to previous list item with SHIFT + TAB or UP ARROW. Press SPACE or ENTER to select the list option. Press ESC to close the list-box.'  // MISSING
+							},
+
+							{
+								name : 'Editor Element Path Bar', // MISSING
+								legend :
+									'Press ${elementsPathFocus} to navigate to the elements path bar. Move to next element button with TAB or RIGHT ARROW. Move to previous button with  SHIFT+TAB or LEFT ARROW. Press SPACE or ENTER to select the element in editor.'  // MISSING
+							}
+						]
+			},
+			{
+				name : 'Příkazy',
+				items :
+						[
+							{
+								name : ' Příkaz Zpět',
+								legend : 'Stiskněte ${undo}'
+							},
+							{
+								name : ' Příkaz Znovu',
+								legend : 'Stiskněte ${redo}'
+							},
+							{
+								name : ' Příkaz Tučné',
+								legend : 'Stiskněte ${bold}'
+							},
+							{
+								name : ' Příkaz Kurzíva',
+								legend : 'Stiskněte ${italic}'
+							},
+							{
+								name : ' Příkaz Podtržení',
+								legend : 'Stiskněte ${underline}'
+							},
+							{
+								name : ' Příkaz Odkaz',
+								legend : 'Stiskněte ${link}'
+							},
+							{
+								name : ' Příkaz Skrýt panel nástrojů',
+								legend : 'Stiskněte ${toolbarCollapse}'
+							},
+							{
+								name : ' Accessibility Help', // MISSING
+								legend : 'Stiskněte ${a11yHelp}'
+							}
+						]
+			}
+		]
+	}
+});
Index: CKEditor/trunk/_source/plugins/a11yhelp/lang/fa.js
===================================================================
--- CKEditor/trunk/_source/plugins/a11yhelp/lang/fa.js	(revision 7329)
+++ CKEditor/trunk/_source/plugins/a11yhelp/lang/fa.js	(revision 7330)
@@ -37,9 +37,9 @@
 								name : 'جعبه فهرست ویرایشگر',
 								legend :
-									'Inside a list-box, move to next list item with TAB OR DOWN ARROW. Move to previous list item with SHIFT + TAB or UP ARROW. Press SPACE or ENTER to select the list option. Press ESC to close the list-box.'  // MISSING
+									'در داخل جعبه لیست، قلم دوم از اقلام لیست بعدی را با TAB و یا Arrow Down حرکت دهید. انتقال به قلم دوم از اقلام لیست قبلی را با SHIFT + TAB یا UP ARROW. کلید Space یا ENTER را برای انتخاب گزینه لیست بفشارید. کلید ESC را برای بستن جعبه لیست بفشارید.' 
 							},
 
 							{
-								name : 'Editor Element Path Bar', // MISSING
+								name : 'ویرایشگر عنصر نوار راه',
 								legend :
 									'Press ${elementsPathFocus} to navigate to the elements path bar. Move to next element button with TAB or RIGHT ARROW. Move to previous button with  SHIFT+TAB or LEFT ARROW. Press SPACE or ENTER to select the element in editor.'  // MISSING
Index: CKEditor/trunk/_source/plugins/a11yhelp/lang/gu.js
===================================================================
--- CKEditor/trunk/_source/plugins/a11yhelp/lang/gu.js	(revision 7330)
+++ CKEditor/trunk/_source/plugins/a11yhelp/lang/gu.js	(revision 7330)
@@ -0,0 +1,89 @@
+﻿/*
+Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
+
+CKEDITOR.plugins.setLang( 'a11yhelp', 'gu',
+{
+	accessibilityHelp :
+	{
+		title : 'એક્ક્ષેબિલિટી ની વિગતો',
+		contents : 'હેલ્પ. આ બંધ કરવા ESC દબાવો.',
+		legend :
+		[
+			{
+				name : 'જનરલ',
+				items :
+						[
+							{
+								name : 'એડિટર ટૂલબાર',
+								legend:
+									'Press ${toolbarFocus} to navigate to the toolbar. Move to the next and previous toolbar group with TAB and SHIFT-TAB. Move to the next and previous toolbar button with RIGHT ARROW or LEFT ARROW. Press SPACE or ENTER to activate the toolbar button.'  // MISSING
+							},
+
+							{
+								name : 'એડિટર ડાયલોગ',
+								legend :
+									'Inside a dialog, press TAB to navigate to next dialog field, press SHIFT + TAB to move to previous field, press ENTER to submit dialog, press ESC to cancel dialog. For dialogs that have multiple tab pages, press ALT + F10 to navigate to tab-list. Then move to next tab with TAB OR RIGTH ARROW. Move to previous tab with SHIFT + TAB or LEFT ARROW. Press SPACE or ENTER to select the tab page.'  // MISSING
+							},
+
+							{
+								name : 'Editor Context Menu', // MISSING
+								legend :
+									'Press ${contextMenu} or APPLICATION KEY to open context-menu. Then move to next menu option with TAB or DOWN ARROW. Move to previous option with  SHIFT+TAB or UP ARROW. Press SPACE or ENTER to select the menu option. Open sub-menu of current option wtih SPACE or ENTER or RIGHT ARROW. Go back to parent menu item with ESC or LEFT ARROW. Close context menu with ESC.'  // MISSING
+							},
+
+							{
+								name : 'Editor List Box', // MISSING
+								legend :
+									'Inside a list-box, move to next list item with TAB OR DOWN ARROW. Move to previous list item with SHIFT + TAB or UP ARROW. Press SPACE or ENTER to select the list option. Press ESC to close the list-box.'  // MISSING
+							},
+
+							{
+								name : 'Editor Element Path Bar', // MISSING
+								legend :
+									'Press ${elementsPathFocus} to navigate to the elements path bar. Move to next element button with TAB or RIGHT ARROW. Move to previous button with  SHIFT+TAB or LEFT ARROW. Press SPACE or ENTER to select the element in editor.'  // MISSING
+							}
+						]
+			},
+			{
+				name : 'Commands', // MISSING
+				items :
+						[
+							{
+								name : ' Undo command', // MISSING
+								legend : 'Press ${undo}' // MISSING
+							},
+							{
+								name : ' Redo command', // MISSING
+								legend : 'Press ${redo}' // MISSING
+							},
+							{
+								name : ' Bold command', // MISSING
+								legend : 'Press ${bold}' // MISSING
+							},
+							{
+								name : ' Italic command', // MISSING
+								legend : 'Press ${italic}' // MISSING
+							},
+							{
+								name : ' Underline command', // MISSING
+								legend : 'Press ${underline}' // MISSING
+							},
+							{
+								name : ' Link command', // MISSING
+								legend : 'Press ${link}' // MISSING
+							},
+							{
+								name : ' Toolbar Collapse command', // MISSING
+								legend : 'Press ${toolbarCollapse}' // MISSING
+							},
+							{
+								name : ' Accessibility Help', // MISSING
+								legend : 'Press ${a11yHelp}' // MISSING
+							}
+						]
+			}
+		]
+	}
+});
